package com.prolog.cs.biz.inbound.model.failure;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2022-01-27
 */
@ApiModel
@Table(value = "in_receiving_abnormal_h")
public class InReceivingAbnormalH implements Serializable {
	private static final long serialVersionUID = 4260606278474603820L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "ID标识(异常收货单id,主键)", required = true)
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "入库单号", required = true)
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "入库单类型", required = true)
	@Column(value = "billtype")
	private String billtype;

	@ApiModelProperty(value = "仓库ID", required = true)
	@Column(value = "branchid")
	private String branchid;

	@ApiModelProperty(value = "仓库编号", required = true)
	@Column(value = "branchcode")
	private String branchcode;

	@ApiModelProperty(value = "仓库名称", required = true)
	@Column(value = "branchname")
	private String branchname;

	@ApiModelProperty(value = "货主ID", required = true)
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主编号", required = true)
	@Column(value = "consignorcode")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称", required = true)
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "货主单据号")
	@Column(value = "consignor_bill_no")
	private String consignorBillNo;

	@ApiModelProperty(value = "关联业务单类型", required = true)
	@Column(value = "refbilltype")
	private String refbilltype;

	@ApiModelProperty(value = "关联业务单ID", required = true)
	@Column(value = "refbillid")
	private String refbillid;

	@ApiModelProperty(value = "关联业务单编号", required = true)
	@Column(value = "refbillcode")
	private String refbillcode;

	@ApiModelProperty(value = "业务部门编号")
	@Column(value = "purorg_id")
	private String purorgId;

	@ApiModelProperty(value = "采购组织名称")
	@Column(value = "purorg_name")
	private String purorgName;

	@ApiModelProperty(value = "采购员ID")
	@Column(value = "buyer_id")
	private String buyerId;

	@ApiModelProperty(value = "采购员姓名")
	@Column(value = "buyer_name")
	private String buyerName;

	@ApiModelProperty(value = "收货地址")
	@Column(value = "arrive_address")
	private String arriveAddress;

	@ApiModelProperty(value = "供应商编号")
	@Column(value = "vendorcode")
	private String vendorcode;

	@ApiModelProperty(value = "供应商名称")
	@Column(value = "vendorname")
	private String vendorname;

	@ApiModelProperty(value = "供应商随货同行单号")
	@Column(value = "acc_goods_bill_no")
	private String accGoodsBillNo;

	@ApiModelProperty(value = "供应商单号")
	@Column(value = "vpo_no")
	private String vpoNo;

	@ApiModelProperty(value = "供应商接受日期")
	@Column(value = "vendor_receive_date")
	private Date vendorReceiveDate;

	@ApiModelProperty(value = "供应商地址")
	@Column(value = "vendor_address")
	private String vendorAddress;

	@ApiModelProperty(value = "关联采购单号")
	@Column(value = "refbillno")
	private String refbillno;

	@ApiModelProperty(value = "总件数", required = true)
	@Column(value = "totpcs")
	private BigDecimal totpcs;

	@ApiModelProperty(value = "总量")
	@Column(value = "totqty")
	private BigDecimal totqty;

	@ApiModelProperty(value = "总未税金额")
	@Column(value = "totnetamt")
	private BigDecimal totnetamt;

	@ApiModelProperty(value = "总含税金额")
	@Column(value = "totamt")
	private BigDecimal totamt;

	@ApiModelProperty(value = "制单日期")
	@Column(value = "operatedate")
	private Date operatedate;

	@ApiModelProperty(value = "录入员")
	@Column(value = "operator")
	private String operator;

	@ApiModelProperty(value = "审核员")
	@Column(value = "confirmer")
	private String confirmer;

	@ApiModelProperty(value = "质检员")
	@Column(value = "qtoperator")
	private String qtoperator;

	@ApiModelProperty(value = "质检员2")
	@Column(value = "qtoperator2")
	private String qtoperator2;

	@ApiModelProperty(value = "收货员1")
	@Column(value = "rcvoperator")
	private String rcvoperator;

	@ApiModelProperty(value = "收货员2")
	@Column(value = "rcvoperator2")
	private String rcvoperator2;

	@ApiModelProperty(value = "状态（10：刚生成     20：已审核   30：已下发）")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "审核结果（0：驳回     1：通过）")
	@Column(value = "audit_result")
	private String auditResult;

	@ApiModelProperty(value = "审核描述")
	@Column(value = "audit_opinion")
	private String auditOpinion;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "字符扩展属性1")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "字符扩展属性2")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "字符扩展属性3")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "字符扩展属性4")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "字符扩展属性5")
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "数字扩展属性1")
	@Column(value = "attr_num1")
	private BigDecimal attrNum1;

	@ApiModelProperty(value = "数字扩展属性2")
	@Column(value = "attr_num2")
	private BigDecimal attrNum2;

	@ApiModelProperty(value = "日期属性扩展1")
	@Column(value = "attr_dte1")
	private Date attrDte1;

	@ApiModelProperty(value = "日期属性扩展2")
	@Column(value = "attr_dte2")
	private Date attrDte2;

	@ApiModelProperty(value = "录入员", required = true)
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "录入时间", required = true)
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "修改人")
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "p_enterprisename")
	private String enterprisename;

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBilltype() {
		return this.billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return this.branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getConsignorBillNo() {
		return this.consignorBillNo;
	}

	public void setConsignorBillNo(String consignorBillNo) {
		this.consignorBillNo = consignorBillNo;
	}

	public String getRefbilltype() {
		return this.refbilltype;
	}

	public void setRefbilltype(String refbilltype) {
		this.refbilltype = refbilltype;
	}

	public String getRefbillid() {
		return this.refbillid;
	}

	public void setRefbillid(String refbillid) {
		this.refbillid = refbillid;
	}

	public String getRefbillcode() {
		return this.refbillcode;
	}

	public void setRefbillcode(String refbillcode) {
		this.refbillcode = refbillcode;
	}

	public String getPurorgId() {
		return this.purorgId;
	}

	public void setPurorgId(String purorgId) {
		this.purorgId = purorgId;
	}

	public String getPurorgName() {
		return this.purorgName;
	}

	public void setPurorgName(String purorgName) {
		this.purorgName = purorgName;
	}

	public String getBuyerId() {
		return this.buyerId;
	}

	public void setBuyerId(String buyerId) {
		this.buyerId = buyerId;
	}

	public String getBuyerName() {
		return this.buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getArriveAddress() {
		return this.arriveAddress;
	}

	public void setArriveAddress(String arriveAddress) {
		this.arriveAddress = arriveAddress;
	}

	public String getVendorcode() {
		return this.vendorcode;
	}

	public void setVendorcode(String vendorcode) {
		this.vendorcode = vendorcode;
	}

	public String getVendorname() {
		return this.vendorname;
	}

	public void setVendorname(String vendorname) {
		this.vendorname = vendorname;
	}

	public String getAccGoodsBillNo() {
		return this.accGoodsBillNo;
	}

	public void setAccGoodsBillNo(String accGoodsBillNo) {
		this.accGoodsBillNo = accGoodsBillNo;
	}

	public String getVpoNo() {
		return this.vpoNo;
	}

	public void setVpoNo(String vpoNo) {
		this.vpoNo = vpoNo;
	}

	public Date getVendorReceiveDate() {
		return this.vendorReceiveDate;
	}

	public void setVendorReceiveDate(Date vendorReceiveDate) {
		this.vendorReceiveDate = vendorReceiveDate;
	}

	public String getVendorAddress() {
		return this.vendorAddress;
	}

	public void setVendorAddress(String vendorAddress) {
		this.vendorAddress = vendorAddress;
	}

	public String getRefbillno() {
		return this.refbillno;
	}

	public void setRefbillno(String refbillno) {
		this.refbillno = refbillno;
	}

	public BigDecimal getTotpcs() {
		return this.totpcs;
	}

	public void setTotpcs(BigDecimal totpcs) {
		this.totpcs = totpcs;
	}

	public BigDecimal getTotqty() {
		return this.totqty;
	}

	public void setTotqty(BigDecimal totqty) {
		this.totqty = totqty;
	}

	public BigDecimal getTotnetamt() {
		return this.totnetamt;
	}

	public void setTotnetamt(BigDecimal totnetamt) {
		this.totnetamt = totnetamt;
	}

	public BigDecimal getTotamt() {
		return this.totamt;
	}

	public void setTotamt(BigDecimal totamt) {
		this.totamt = totamt;
	}

	public Date getOperatedate() {
		return this.operatedate;
	}

	public void setOperatedate(Date operatedate) {
		this.operatedate = operatedate;
	}

	public String getOperator() {
		return this.operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getConfirmer() {
		return this.confirmer;
	}

	public void setConfirmer(String confirmer) {
		this.confirmer = confirmer;
	}

	public String getQtoperator() {
		return this.qtoperator;
	}

	public void setQtoperator(String qtoperator) {
		this.qtoperator = qtoperator;
	}

	public String getQtoperator2() {
		return this.qtoperator2;
	}

	public void setQtoperator2(String qtoperator2) {
		this.qtoperator2 = qtoperator2;
	}

	public String getRcvoperator() {
		return this.rcvoperator;
	}

	public void setRcvoperator(String rcvoperator) {
		this.rcvoperator = rcvoperator;
	}

	public String getRcvoperator2() {
		return this.rcvoperator2;
	}

	public void setRcvoperator2(String rcvoperator2) {
		this.rcvoperator2 = rcvoperator2;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAuditResult() {
		return this.auditResult;
	}

	public void setAuditResult(String auditResult) {
		this.auditResult = auditResult;
	}

	public String getAuditOpinion() {
		return this.auditOpinion;
	}

	public void setAuditOpinion(String auditOpinion) {
		this.auditOpinion = auditOpinion;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public BigDecimal getAttrNum1() {
		return this.attrNum1;
	}

	public void setAttrNum1(BigDecimal attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public BigDecimal getAttrNum2() {
		return this.attrNum2;
	}

	public void setAttrNum2(BigDecimal attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public Date getAttrDte1() {
		return this.attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return this.attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

}
